<template>
  <div class="dashboard-page-container pb-5">
    <h1 class="page-title">Transfer</h1>
    <div class="mt-3">
      <h6>1. Choose Card</h6>
      <div class="row">
        <div class="col-sm-12 col-md-4">
          <div class="mt-2">
            <input
              id="currentAccountBalance"
              v-model="form.activeAccount"
              type="radio"
              name="activeAccount"
              value="currentAccountBalance"
              class="account-radio d-none"
            />
            <label for="currentAccountBalance" class="w-100">
              <CurrentAccountBalance />
            </label>
          </div>
          <div class="mt-3">
            <input
              id="savingsAccountBalance"
              type="radio"
              name="activeAccount"
              value="savingsAccountBalance"
              class="account-radio d-none"
            />
            <label for="savingsAccountBalance" class="w-100">
              <SavingsAccountBalance />
            </label>
          </div>
        </div>
        <div class="col-sm-12 col-md-8">
          <div class="choose-transfer-type-card p-4">
            <div class="choose-transfer-type">
              <p class="fw-bold">2. Choose Transfer Type</p>
              <div class="mt-2">
                <ul
                  id="pills-tab"
                  class="nav nav-pills mb-3 transfer-type-nav"
                  role="tablist"
                >
                  <li class="nav-item" role="presentation">
                    <button
                      id="pills-TransferBetweenAccounts-tab"
                      class="active border-0 bg-transparent"
                      data-bs-toggle="pill"
                      data-bs-target="#pills-TransferBetweenAccounts"
                      type="button"
                      role="tab"
                    >
                      <TransferBetweenAccounts id="" />
                    </button>
                  </li>
                  <li class="nav-item mx-sm-0 mx-md-2" role="presentation">
                    <button
                      id="pills-TransferToCorebankAccount-tab"
                      class="border-0 bg-transparent"
                      data-bs-toggle="pill"
                      data-bs-target="#pills-TransferToCorebankAccount"
                      type="button"
                      role="tab"
                    >
                      <TransferToCorebankAccount />
                    </button>
                  </li>
                  <li class="nav-item" role="presentation">
                    <button
                      id="pills-TransferToOtherBanks-tab"
                      class="border-0 bg-transparent"
                      data-bs-toggle="pill"
                      data-bs-target="#pills-TransferToOtherBanks"
                      type="button"
                      role="tab"
                    >
                      <TransferToOtherBanks />
                    </button>
                  </li>
                </ul>
              </div>
            </div>
          </div>
          <div class="mt-3">
            <div class="fill-beneficiary-details p-4">
              <p class="fw-bold">3. Fill the Details</p>
              <div id="pills-tabContent" class="tab-content">
                <div
                  id="pills-TransferBetweenAccounts"
                  class="tab-pane fade show active"
                  role="tabpanel"
                >
                  <TransferBetweenAccountsTab :accounts="userAccounts" />
                </div>
                <div
                  id="pills-TransferToCorebankAccount"
                  class="tab-pane fade"
                  role="tabpanel"
                >
                  <TransferToCorebankAccountTab :accounts="userAccounts" />
                </div>
                <div
                  id="pills-TransferToOtherBanks"
                  class="tab-pane fade"
                  role="tabpanel"
                >
                  <TransferToOtherBanksTab
                    :banks="banks"
                    :accounts="userAccounts"
                  />
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import TransferBetweenAccounts from '@/assets/icons/transfer-between-accounts.svg?inline'
import TransferToCorebankAccount from '@/assets/icons/transfer-to-corebank-account.svg?inline'
import TransferToOtherBanks from '@/assets/icons/transfer-to-other-banks.svg?inline'

export default {
  components: {
    TransferToOtherBanks,
    TransferBetweenAccounts,
    TransferToCorebankAccount,
  },
  layout: 'dashboard',
  async asyncData({ $axios }) {
    const userAccounts = await $axios.$get('/user/accounts')
    const banks = await $axios.$get('/transaction/banks')
    // console.log(banks)
    return {
      userAccounts: userAccounts.payload,
      banks: banks.payload.banks,
    }
  },
  data: () => ({
    form: {
      activeAccount: 'currentAccountBalance',
    },
    userAccounts: [],
  }),
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.text-sm {
  font-size: 12px;
}

.dashboard-page-container {
  .choose-transfer-type-card,
  .fill-beneficiary-details {
    background: #ffffff;
    border-radius: 20px;

    input.form-control,
    .form-select,
    textarea.form-control {
      background-color: #f4f2ec;
      border-radius: 5px;
      border: none;
    }
  }
  input.account-radio:checked + label {
    .account-card {
      // background-color: red;
      background-position: 98% 4%;
      background-image: url(~@/assets/images/tick.png);
    }
  }

  .transfer-type-nav {
    .active {
      outline: none;
      svg {
        rect {
          fill: $primary;
        }
      }
    }
  }
}
</style>
